package com.sa.ibiz.demo.demo.service.impl;

import java.util.List;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sa.ibiz.demo.demo.mapper.BGYPMapper;
import com.sa.ibiz.demo.demo.domain.BGYP;
import com.sa.ibiz.demo.demo.service.BGYPService;
import com.sa.ibiz.demo.ibizutil.service.ServiceImplBase;
import com.sa.ibiz.demo.demo.service.dto.BGYPSearchFilter;
import org.springframework.util.DigestUtils;
import org.springframework.util.StringUtils;
import java.util.UUID;
import java.util.Map;
import org.springframework.beans.factory.annotation.Autowired;
import java.util.TreeMap;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import java.math.BigInteger;
import com.sa.ibiz.demo.ibizutil.annotation.PreField;
import java.lang.reflect.Field;


/**
 * 实体[BGYP] 服务对象接口实现
 */
@Service
public class BGYPServiceImpl extends ServiceImplBase<BGYPMapper, BGYP> implements BGYPService{


    @Resource
    private BGYPMapper bgypMapper;


    @Override
    public boolean create(BGYP et) {
        this.beforeCreate(et);
         return super.create(et);
    }
    @Override
    public boolean update(BGYP et){
        this.beforeUpdate(et);
		this.bgypMapper.updateOne(et);
		this.get(et);
		return true;
    }

    public Object getEntityKey(BGYP et){
		return et.getBgypid();  
    }

    @Override
    public boolean getDraft(BGYP et)  {
            return true;
    }

	public List<BGYP> listDefault(BGYPSearchFilter filter) {
		return bgypMapper.searchDefault(filter,filter.getSelectCond());
	}

	public Page<BGYP> searchDefault(BGYPSearchFilter filter) {
		return bgypMapper.searchDefault(filter.getPage(),filter,filter.getSelectCond());
	}

    public  List<Map<String,Object>> selectRow(String sql){
       return bgypMapper.selectRow(sql);
    }

 }